<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>PositionDependentRecord (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PositionDependentRecord (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PositionDependentRecord.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/record/PersistRecord.html"
               title="interface in org.apache.poi.hslf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/hslf/record/PositionDependentRecordAtom.html"
               title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/record/PositionDependentRecord.html" target="_top">Frames</a>
        </li>
        <li><a href="PositionDependentRecord.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hslf.record</div>
    <h2 title="Interface PositionDependentRecord" class="title">Interface PositionDependentRecord</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Known Implementing Classes:</dt>
                    <dd><a href="../../../../../org/apache/poi/hslf/record/BinaryTagDataBlob.html"
                           title="class in org.apache.poi.hslf.record">BinaryTagDataBlob</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/Document.html"
                            title="class in org.apache.poi.hslf.record">Document</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/DocumentEncryptionAtom.html"
                            title="class in org.apache.poi.hslf.record">DocumentEncryptionAtom</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/DummyPositionSensitiveRecordWithChildren.html"
                            title="class in org.apache.poi.hslf.record">DummyPositionSensitiveRecordWithChildren</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/Environment.html"
                            title="class in org.apache.poi.hslf.record">Environment</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/ExOleObjStg.html"
                            title="class in org.apache.poi.hslf.record">ExOleObjStg</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/MainMaster.html"
                            title="class in org.apache.poi.hslf.record">MainMaster</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/Notes.html"
                            title="class in org.apache.poi.hslf.record">Notes</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/PersistPtrHolder.html"
                            title="class in org.apache.poi.hslf.record">PersistPtrHolder</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/PositionDependentRecordAtom.html"
                            title="class in org.apache.poi.hslf.record">PositionDependentRecordAtom</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/PositionDependentRecordContainer.html"
                            title="class in org.apache.poi.hslf.record">PositionDependentRecordContainer</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/SheetContainer.html"
                            title="class in org.apache.poi.hslf.record">SheetContainer</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/Slide.html"
                            title="class in org.apache.poi.hslf.record">Slide</a>, <a
                            href="../../../../../org/apache/poi/hslf/record/UserEditAtom.html"
                            title="class in org.apache.poi.hslf.record">UserEditAtom</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public interface <span class="typeNameLabel">PositionDependentRecord</span></pre>
                <div class="block">Records which either care about where they are on disk, or have other
                    records who care about where they are, will implement this interface.
                    Normally, they'll subclass PositionDependentRecordAtom or
                    PositionDependentRecordContainer, which will do the work of providing
                    the setting and updating interfaces for them.
                    This is a special (and dangerous) kind of Record. When created, they
                    need to be pinged with their current location. When written out, they
                    need to be given their new location, and offered the list of records
                    which have changed their location.
                </div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Nick Burch</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/PositionDependentRecord.html#getLastOnDiskOffset--">getLastOnDiskOffset</a></span>()</code>
                                    <div class="block">Fetch our location on the disk, as of the last write out</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/PositionDependentRecord.html#setLastOnDiskOffset-int-">setLastOnDiskOffset</a></span>(int&nbsp;offset)</code>
                                    <div class="block">Update the Record's idea of where on disk it lives, after a write
                                        out.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/PositionDependentRecord.html#updateOtherRecordReferences-java.util.Map-">updateOtherRecordReferences</a></span>(java.util.Map&lt;java.lang.Integer,java.lang.Integer&gt;&nbsp;oldToNewReferencesLookup)</code>
                                    <div class="block">Offer the record the list of records that have changed their
                                        location as part of the writeout.
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getLastOnDiskOffset--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLastOnDiskOffset</h4>
                                <pre>int&nbsp;getLastOnDiskOffset()</pre>
                                <div class="block">Fetch our location on the disk, as of the last write out</div>
                            </li>
                        </ul>
                        <a name="setLastOnDiskOffset-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLastOnDiskOffset</h4>
                                <pre>void&nbsp;setLastOnDiskOffset(int&nbsp;offset)</pre>
                                <div class="block">Update the Record's idea of where on disk it lives, after a write
                                    out.
                                    Use with care...
                                </div>
                            </li>
                        </ul>
                        <a name="updateOtherRecordReferences-java.util.Map-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>updateOtherRecordReferences</h4>
                                <pre>void&nbsp;updateOtherRecordReferences(java.util.Map&lt;java.lang.Integer,java.lang.Integer&gt;&nbsp;oldToNewReferencesLookup)</pre>
                                <div class="block">Offer the record the list of records that have changed their
                                    location as part of the writeout.
                                </div>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PositionDependentRecord.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/record/PersistRecord.html"
               title="interface in org.apache.poi.hslf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/hslf/record/PositionDependentRecordAtom.html"
               title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/record/PositionDependentRecord.html" target="_top">Frames</a>
        </li>
        <li><a href="PositionDependentRecord.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
